Subject: bug#54834: 29.0.50; Problems with M-x dirs

From: Tassilo Horn <[email-masked]>
Date: Mon, 11 Apr 2022 17:44:04 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>>> This should be fixed on the emacs-28 branch now.
>>
>> Indeed, it is, thanks!
>>
>> Can you also tell me why every command I enter in the *shell* buffer
>> is echoed (even after setting comint-process-echoes to t in that
>> buffer)?
>
> No, sorry.  That doesn't happen for me (with "emacs -Q"), but I guess
> it might depend on the shell being used?

Yes, like the original infloop, it only occurs with the fish shell
(which is my default shell).

$ env SHELL=fish /usr/bin/emacs -Q -f shell
# Every command I enter is echoed

$ env SHELL=zsh /usr/bin/emacs -Q -f shell
# No echoing

$ env SHELL=bash /usr/bin/emacs -Q -f shell
# No echoing

But I guess that has nothing to do with this issue anymore.

Bye,
Tassilo